Home Class/Enum List File List Compound Members

Public Attributes | List of all members
RtAudio::StreamParameters Struct Reference

The structure for specifying input or ouput stream parameters. More...

`#include <RtAudio.h>`

## Public Attributes

unsigned int | deviceId
unsigned int | nChannels
unsigned int | firstChannel

## Detailed Description

The structure for specifying input or ouput stream parameters.

## Member Data Documentation

## ◆ deviceId

unsigned int RtAudio::StreamParameters::deviceId

Device index (0 to getDeviceCount() - 1).

## ◆ nChannels

unsigned int RtAudio::StreamParameters::nChannels

Number of channels.

## ◆ firstChannel

unsigned int RtAudio::StreamParameters::firstChannel

First channel index on device (default = 0).

The documentation for this struct was generated from the following file:

- RtAudio.h

| ©2001-2017 Gary P. Scavone, McGill University. All Rights Reserved. Maintained by Gary P. Scavone.